* {
    box-sizing: border-box;
    padding: 0px;
    margin: 0px;
    background-color: #0a0a0a;
}

header {
    background-color: #5a5a5a67;
}

.header-image {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5em;
}


/* User Story #13: The navbar should always be at the top of the viewport.*/

nav {
    position: fixed;
    top: 0em;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 5px;
    border-bottom: 1px solid white;
    margin-bottom: 50px;
}

nav ul {
    display: flex;
}

nav li {
    padding: 0px 20px;
    margin: 0.5rem;
    list-style: none;
}

nav li a {
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 16px;
    font-weight: 500;
    color: white;
    text-decoration: none;
    padding: 0.5rem;
    background-color: #242424;
    border-radius: 10%;
    border: 0.5px solid white;
}

.brand {
    width: 13em;
}

#video-div {
    display: flex;
    justify-content: center;
    padding: 2rem;
    margin-top: rem;
}


/*User Story #15: My product landing page should utilize CSS flexbox at least once. */

.email-div {
    display: flexbox;
    justify-content: center;
    border-top: lightslategray 1px solid;
    border-bottom: lightslategray 1px solid;
    width: 100%;
    height: auto;
}

form {
    display: flex;
    justify-content: center;
    width: 100%;
    background-color: rgba(5, 54, 54, 0.308);
    height: 10em;
    align-items: center;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

form input {
    background-color: white;
}

.email-label {
    color: white;
    background-color: transparent;
    letter-spacing: 3px;
    font-size: 1.5em;
    margin-right: 0.5rem;
}

#email {
    padding: 1em;
    width: 30em;
    border-radius: 3%;
    border: 0.5px groove lightslategray;
    margin-right: 0.5rem;
}

#submit {
    padding: 0.7rem;
    font-weight: 400;
    border-radius: 10%;
}

.stages {
    display: flex;
    justify-content: center;
    margin: 5em;
}

.stages img {
    width: 100%;
    height: auto;
}


/*User Story #14: My product landing page should have at least one media query.*/

#pricing {
    margin-top: 60px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    color: white;
}

.product {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: calc(100% / 3);
    margin: 10px;
    border: 1px solid rgba(105, 105, 105, 0.548);
    border-radius: 3px;
}

.product>.level {
    background-color: rgb(228, 228, 228);
    color: black;
    padding: 15px 0;
    width: 100%;
    text-transform: uppercase;
    font-weight: 700;
}

.product>h2 {
    margin-top: 15px;
}

.product>ol {
    margin: 15px 0;
}

.product>ol>li {
    padding: 5px 0;
    list-style: none;
    border-bottom: 1px solid lightslategrey;
}

.product>button {
    border: 0;
    margin: 15px 0;
    background-color: #f1c40f;
    border: 1px solid lightslategray;
    font-weight: 500;
    padding: 0.5rem;
    font-size: 14px;
}

.product>button:hover {
    background-color: orange;
    transition: background-color 0.5s;
}

footer {
    bottom: auto;
    margin-top: 30px;
    background-color: #242522;
    padding: 20px;
    border-top: 1px solid white;
}

footer>ul {
    display: flex;
    justify-content: center;
    list-style: none;
    background-color: #242522;
}

footer>ul>li a {
    padding: 0 10px;
    text-decoration: none;
    background-color: #242522;
    color: #ffffff;
}

footer>span {
    margin-top: 5px;
    display: flex;
    justify-content: flex-end;
    font-size: 0.9em;
    color: white;
    background-color: #242522;
}

@media(max-width: 650px) {
    nav {
        flex-direction: column;
    }
    nav>ul {
        flex-direction: column;
    }
    nav ul li {
        margin: 1em;
    }
    #header-img {
        width: 100%;
        height: auto;
        margin-top: 10em;
    }
    .video-div {
        margin-top: 3em;
    }
    form {
        display: block;
        padding: 2em;
    }
    #email {
        width: 20em;
        margin-top: 20px;
    }
    .email-label {
        font-size: medium;
        margin-bottom: 10px;
    }
}